[arch-commits] Commit in xf86-video-s3virge/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sun Aug 31 11:57:38 EDT 2008


    Date: Sunday, August 31, 2008 @ 11:57:37
  Author: jgc
Revision: 11468

upgpkg: xf86-video-s3virge 1.10.1-2
    Remove DRI drivers, the swrast driver is supposed to be faster

Modified:
  xf86-video-s3virge/trunk/PKGBUILD

----------+
 PKGBUILD |   39 +++++++--------------------------------
 1 file changed, 7 insertions(+), 32 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-31 15:57:34 UTC (rev 11467)
+++ PKGBUILD	2008-08-31 15:57:37 UTC (rev 11468)
@@ -3,47 +3,22 @@
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xf86-video-s3virge
 pkgver=1.10.1
-pkgrel=1
+pkgrel=2
 pkgdesc="X.org S3 Virge video driver"
-mesaver="7.0.3"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
-depends=('expat>=2.0' 'libdrm')
-makedepends=('pkgconfig' 'xorg-server>=1.4.2' 'imake' 'mesa>=7.0.3')
+depends=('glibc')
+makedepends=('pkgconfig' 'xorg-server>=1.4.99.906')
+conflicts=('xorg-server<1.4.99.906')
 options=(!libtool)
 groups=('xorg-video-drivers')
-source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2
-        http://downloads.sourceforge.net/sourceforge/mesa3d/MesaLib-${mesaver}.tar.bz2)
-md5sums=('4a293047e988d4ea1e9e96d3b5793f43'
-         'e6e6379d7793af40a6bc3ce1bace572e')
+source=(${url}/releases/individual/driver/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('4a293047e988d4ea1e9e96d3b5793f43')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr \
-              --enable-dri || return 1
+              --disable-dri || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
-
-
-  cd ${startdir}/src/Mesa-${mesaver}/configs
-
-  CONFIG="linux-dri-x86"
-  [ "$CARCH" = "x86_64" ] && CONFIG="linux-dri-x86-64"
-  echo "EXTRA_LIB_PATH =" >> ${CONFIG}
-  echo "OPT_FLAGS = ${CFLAGS}" >> ${CONFIG}
-  echo "SRC_DIRS = glx/x11 mesa" >> ${CONFIG}
-  echo "USING_EGL = 0" >> ${CONFIG}
-  echo "PROGRAM_DIRS =" >> ${CONFIG}
-  echo "MKDEP = makedepend" >> ${CONFIG}
-  echo "DRI_DIRS = s3v" >> ${CONFIG}
-  echo "DRI_DRIVER_SEARCH_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
-  echo "DRI_DRIVER_INSTALL_DIR = /usr/lib/xorg/modules/dri" >> ${CONFIG}
-  echo "ARCH_FLAGS += -DGLX_USE_TLS" >> ${CONFIG}
-  echo "X11_INCLUDES = `pkg-config --cflags-only-I x11`" >> ${CONFIG}
-
-  ln -s ${CONFIG} current
-  cd ${startdir}/src/Mesa-${mesaver}/src/mesa
-  make linux-solo || return 1
-  cd drivers/dri
-  make DESTDIR=${startdir}/pkg install || return 1
 }




More information about the arch-commits mailing list